<ion-grid
    class="border-solid border-1 has-border-gray radius-24 pl-8 pr-0 py-8"
    routerLink="/tabs/cases/detail-cas"
    [queryParams]="{ caseId: case.id }"
>
    <ion-row class="ion-nowrap">
        <!-- Case avatar -->
        <ion-col size="auto">
            <ion-card
                class="case__avatar height-72 width-72 radius-19 ion-no-margin"
            >
                <app-img
                    [src]="casePicture"
                    [alt]="case.agent.fonction"
                    [title]="case.agent.fonction"
                    [errorSrc]="environment.caseAvatar"
                    class="height-72 width-72 radius-30 flex"
                >
                </app-img>
            </ion-card>
        </ion-col>
        <!-- Content -->
        <ion-col
            class="case__content flex pl-10 pr-0 ion-justify-content-between"
        >
            <!-- Title -->
            <ion-row
                class="ion-align-items-start ion-justify-content-between ion-nowrap"
            >
                <!-- Case title -->
                <ion-col class="case__title ion-text-nowrap size-16 pl-0 py-0">
                    <ion-text>
                        {{ case.description }}
                    </ion-text>
                </ion-col>
                <!-- Case status -->
                <ion-col
                    size="auto"
                    class="has-background-success is-white size-8 py-3 px-8 radius-tl-6 radius-bl-6"
                    [ngClass]="{
                        'has-background-danger':
                            case.status === caseStatus.close
                    }"
                >
                    {{ case.status | message : caseStatusMessage : caseStatus }}
                </ion-col>
            </ion-row>
            <!-- Domain -->
            <ion-text data-test-id="name" class="size-12" color="grey-black">
                {{ case.agent.domain?.name }}
            </ion-text>
            <!-- Doctor informations -->
            <ion-row class="ion-align-items-center">
                <!-- Patient profile -->
                <ion-col
                    size="auto"
                    class="flex ion-align-items-center ion-no-padding"
                >
                    <ion-avatar class="width-21 height-21">
                        <app-img
                            [src]="case.agent.photo"
                            [alt]="case.agent.prenom"
                            [title]="case.agent.prenom"
                            [errorSrc]="environment.user.avatar"
                        >
                        </app-img>
                    </ion-avatar>
                    <!-- patient name -->
                    <ion-text class="mx-10 size-12 weight-400" color="grey">{{
                        name | shorten : 10
                    }}</ion-text>
                </ion-col>
                <ion-col size="auto" class="ion-no-padding">
                    <ion-row
                        class="ion-align-items-center ion-justify-content-center"
                    >
                        <!-- unread messages -->
                        <ion-col size="auto" class="ion-no-padding">
                            <a
                                routerLink="/tabs/cases/diagnostics"
                                [queryParams]="{
                                    caseId: case.id,
                                    diagnosticTabs: diagnosticTabs.avis
                                }"
                                (click)="stopPropagation($event)"
                                class="flex ion-align-items-center"
                            >
                                <ion-icon
                                    name="chatbubble-ellipses"
                                    [color]="
                                        case.comments.length > 0
                                            ? 'blue-dark'
                                            : 'grey'
                                    "
                                    size="small"
                                ></ion-icon>
                                <ion-text
                                    class="size-9 ml-5"
                                    [color]="
                                        case.comments.length > 0
                                            ? 'blue-dark'
                                            : 'grey'
                                    "
                                    >{{ case.comments.length }}</ion-text
                                >
                            </a>
                        </ion-col>
                        <!-- AI -->
                        <ion-col class="ml-10 ion-no-padding" size="auto">
                            <a
                                routerLink="/tabs/cases/diagnostics"
                                [queryParams]="{
                                    caseId: case.id,
                                    diagnosticTabs: diagnosticTabs.diagnostic
                                }"
                                (click)="stopPropagation($event)"
                                class="flex ion-align-items-center"
                            >
                                <ion-icon
                                    name="hardware-chip-outline"
                                    [color]="
                                        predictionAI > 0 ? 'blue-dark' : 'grey'
                                    "
                                    size="small"
                                ></ion-icon>
                                <ion-text
                                    class="size-9 ml-5"
                                    [color]="
                                        predictionAI > 0 ? 'blue-dark' : 'grey'
                                    "
                                >
                                    {{ predictionAI }}
                                </ion-text>
                            </a>
                        </ion-col>
                    </ion-row>
                </ion-col>
            </ion-row>
        </ion-col>
    </ion-row>
</ion-grid>
